package de.hs_mannheim.informatik.spreadsheet;

import org.junit.Test;

import static org.junit.jupiter.api.Assertions.*;

class SpreadsheetTest {

    @org.junit.jupiter.api.Test
    void testCalculate() {
        Spreadsheet spr = new Spreadsheet(25,25); // Irgendeine Größe einstellen des Spreadsheets

        assertEquals(spr.calculate("2+2"), 4);
        assertEquals(spr.calculate("3*3"), 9);
        assertEquals(spr.calculate("6/2"), 3);



        spr.put("A1", "6");
        spr.put("A2", "2");

        assertEquals(spr.calculate("A1+A2"), 8);
        assertEquals(spr.calculate("A1*A2"), 12);
        assertEquals(spr.calculate("A1/A2"), 3);
    }
}
